Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ati-drivers 8.22.5 fails to unpack
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
a13x
Apprentice
Apprentice


Joined: 05 Jan 2005
Posts: 215

PostPosted: Sat Feb 25, 2006 11:55 pm    Post subject: ati-drivers 8.22.5 fails to unpack Reply with quote

I can't emerge the ati drivers because of this unpack error. I searched the forum and it looks like a portage bug. Some other people encountered this error but with other packages. Does anybody know how to fix this ?[/code]

Code:


>>> emerge (1 of 1) x11-drivers/ati-drivers-8.22.5 to /
>>> checksums files   ;-) ati-drivers-8.18.6.ebuild
>>> checksums files   ;-) ati-drivers-8.18.8.ebuild
>>> checksums files   ;-) ati-drivers-8.16.20.ebuild
>>> checksums files   ;-) ati-drivers-8.19.10.ebuild
>>> checksums files   ;-) ati-drivers-8.18.6-r1.ebuild
>>> checksums files   ;-) ati-drivers-8.18.8-r1.ebuild
>>> checksums files   ;-) ati-drivers-8.18.8-r2.ebuild
>>> checksums files   ;-) ati-drivers-8.14.13-r2.ebuild
>>> checksums files   ;-) ati-drivers-8.14.13-r3.ebuild
>>> checksums files   ;-) ati-drivers-8.14.13-r4.ebuild
>>> checksums files   ;-) ati-drivers-8.14.13-r5.ebuild
>>> checksums files   ;-) ati-drivers-8.16.20-r1.ebuild
>>> checksums files   ;-) ati-drivers-8.20.8.ebuild
>>> checksums files   ;-) ati-drivers-8.21.7.ebuild
>>> checksums files   ;-) ati-drivers-8.22.5.ebuild
>>> checksums files   ;-) files/09ati
>>> checksums files   ;-) files/8.8.25-smp.patch
>>> checksums files   ;-) files/8.8.25-via-amd64.patch
>>> checksums files   ;-) files/ioctl32.patch
>>> checksums files   ;-) files/p1.patch
>>> checksums files   ;-) files/ati-drivers-8.21.7-linux-2.6.15.patch
>>> checksums files   ;-) files/ati-drivers-8.22.5-intermodule.patch
>>> checksums files   ;-) files/ati-drivers-8.20.8-linux-2.6.15.patch
>>> checksums files   ;-) files/digest-ati-drivers-8.16.20
>>> checksums files   ;-) files/digest-ati-drivers-8.19.10
>>> checksums files   ;-) files/digest-ati-drivers-8.18.6-r1
>>> checksums files   ;-) files/digest-ati-drivers-8.18.8-r1
>>> checksums files   ;-) files/digest-ati-drivers-8.18.8-r2
>>> checksums files   ;-) files/digest-ati-drivers-8.14.13-r2
>>> checksums files   ;-) files/digest-ati-drivers-8.14.13-r3
>>> checksums files   ;-) files/digest-ati-drivers-8.14.13-r4
>>> checksums files   ;-) files/digest-ati-drivers-8.14.13-r5
>>> checksums files   ;-) files/digest-ati-drivers-8.16.20-r1
>>> checksums files   ;-) files/fglrx-2.6.12-inter_module_get.patch
>>> checksums files   ;-) files/fglrx-2.6.12-pci_name.patch
>>> checksums files   ;-) files/fglrx-2.6.14-access_ok.patch
>>> checksums files   ;-) files/fglrx-2.6.14-compat_ioctl.patch
>>> checksums files   ;-) files/fglrx-8.14.13-alt-2.6.12-agp.patch
>>> checksums files   ;-) files/digest-ati-drivers-8.22.5
>>> checksums files   ;-) files/digest-ati-drivers-8.18.6
>>> checksums files   ;-) files/digest-ati-drivers-8.21.7
>>> checksums files   ;-) files/digest-ati-drivers-8.18.8
>>> checksums files   ;-) files/digest-ati-drivers-8.20.8
>>> checksums src_uri ;-) ati-driver-installer-8.22.5-i386.run
>>> checksums src_uri ;-) ati-driver-installer-8.22.5-x86_64.run
Determining the location of the kernel source code
 Found kernel source directory:
     /usr/src/linux
 Found sources for kernel version:
   2.6.16-rc3-nitro1
Checking for MTRR support enabled ...

Checking for AGP support enabled ...

Checking for DRM support disabled ...

X11 implementation is x11.
>>> Unpacking source...
Unpacking Ati drivers ...


!!! ERROR: x11-drivers/ati-drivers-8.22.5 failed.
Call stack:
  ebuild.sh, line 1894:   Called dyn_unpack
  ebuild.sh, line 694:   Called src_unpack

!!! unpack failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
Back to top
View user's profile Send private message
a13x
Apprentice
Apprentice


Joined: 05 Jan 2005
Posts: 215

PostPosted: Sun Feb 26, 2006 11:43 am    Post subject: Reply with quote

OK ... it seems that the answer is no. I'm bug reporting this.
Back to top
View user's profile Send private message
a13x
Apprentice
Apprentice


Joined: 05 Jan 2005
Posts: 215

PostPosted: Mon Feb 27, 2006 6:27 pm    Post subject: Reply with quote

The Gentoo devs are as anxious to help as ever .... meaning no answer. Anyway I kinda figured out what is wrong.
{A}="ati-driver-installer-8.22.5-i386.run ati-driver-installer-8.22.5-x86_64.run"
So this translates to the following command
Code:

sh ati-driver-installer-8.22.5-i386.run ati-driver-installer-8.22.5-x86_64.run --extract


which is obviously wrong. We need 2 commands to extract the contents of the packages. This is what it should look like:

Code:

sh ati-driver-installer-8.22.5-i386.run --extract
sh ati-driver-installer-8.22.5-x86_64.run --extract


The thing is that my bash scripting skills suck. So I need someone who does knows bash to fix the ebuild.
I have one more question. In order to install the ATI drivers do we really need to install both the i386 and x86_64 version ? Is this right ?

Can some please share his opinion on this ?
Back to top
View user's profile Send private message
Davor Cubranic
n00b
n00b


Joined: 07 Apr 2006
Posts: 4

PostPosted: Sun Apr 23, 2006 2:23 am    Post subject: Reply with quote

a13x wrote:
The thing is that my bash scripting skills suck. So I need someone who does knows bash to fix the ebuild.
I have one more question. In order to install the ATI drivers do we really need to install both the i386 and x86_64 version ? Is this right ?

Can some please share his opinion on this ?


Have you figured out the fix? I'm encountering the same problem with a different (stable) version of the drivers.

If you haven't, my scripting is fairly decent, but I don't know much about how ebuilds work, so I could use help catching up with what you found out.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum